## Download Commitments Data as JSON

Download Commitments data as JSON.

### cURL Example

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/download/json \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "dimensions": [
    {
      "name": "<string>",
      "filter": [
        "<string>"
      ],
      "attributes": [
        "<string>"
      ]
    }
  ],
  "limit": 1000
}
'```

### Python Example

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/download/json"

payload = {
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "dimensions": [
        {
            "name": "<string>",
            "filter": ["<string>"],
            "attributes": ["<string>"]
        }
    ],
    "limit": 1000
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Example

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    startDate: '2023-11-07T05:31:56Z',
    endDate: '2023-11-07T05:31:56Z',
    dimensions: [{name: '<string>', filter: ['<string>'], attributes: ['<string>']}],
    limit: 1000
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/download/json', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/download/json",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'startDate' => '2023-11-07T05:31:56Z',
    'endDate' => '2023-11-07T05:31:56Z',
    'dimensions' => [
        [
                'name' => '<string>',
                'filter' => ['<string>'],
                'attributes' => ['<string>']
        ]
    ],
    'limit' => 1000
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go Example

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/download/json"

payload := strings.NewReader("{\n  \"startDate\": \"2023-11-07T05:31:56Z\",\n  \"endDate\": \"2023-11-07T05:31:56Z\",\n  \"dimensions\": [\n    {\n      \"name\": \"<string>\",\n      \"filter\": [\n        \"<string>\"\n      ],\n      \"attributes\": [\n        \"<string>\"\n      ]\n    }\n  ],\n  \"limit\": 1000\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**: Successfully downloads the file.
- **4XX**: Client error occurred.
- **5XX**: Server error occurred.

### JSON Response Example

```json
{
  "downloadUrl": "<string>"
}
```
